/* eslint-disable jsx-a11y/anchor-is-valid */
import React from 'react';
import './Header.scss';

export default function MobileHeader() {
  return (
    <div
      className="off-canvas ecommerce-header-off-canvas position-left" 
      id="ecommerce-header"
      data-off-canvas
    >

      <button className="close-button" aria-label="Close menu" type="button" data-close>
        <span aria-hidden="true">&times;</span>
      </button>

      <ul className="vertical menu">
        <li className="main-nav-link trigger">
          <a href="categories.html">COOKWARE</a>
          <div className="sub">
            <div className="item">
              <a href="/shop/cookware/newall">Cookware Sets</a>
            </div>
            <div className="item">
              <a href="/shop/cookware/newall">Fry Pans & Skillets</a>
            </div>
            <div className="item">
              <a href="/shop/cookware/newall">All-Clad</a>
            </div>
            <div className="item">
              <a href="/shop/cookware/newall">Global</a>
            </div>
          </div>
        </li>
        <li className="main-nav-link">
          <a href="#">ELETRICS</a>
          <div className="sub">
            <div className="item">
              <a href="/shop/cookware/newall">Cookware Sets</a>
            </div>
            <div className="item">
              <a href="/shop/cookware/newall">Fry Pans & Skillets</a>
            </div>
            <div className="item">
              <a href="/shop/cookware/newall">All-Clad</a>
            </div>
            <div className="item">
              <a href="/shop/cookware/newall">Global</a>
            </div>
          </div>
        </li>
      </ul>

      <ul className="menu vertical">
        <li><a href="#">Help</a></li>
        <li><a href="#">Order Status</a></li>
        <li><a href="#">Contact</a></li>
        <li><a href="#">My Account</a></li>
      </ul>

    </div>
  );
}
