/* eslint-disable jsx-a11y/alt-text */
/* eslint-disable react/jsx-indent */
/* eslint-disable jsx-a11y/no-noninteractive-element-interactions */
/* eslint-disable react/no-array-index-key */
/* eslint-disable react/jsx-wrap-multilines */
/* eslint-disable arrow-body-style */
/* eslint-disable jsx-a11y/no-static-element-interactions */
/* eslint-disable jsx-a11y/anchor-is-valid */
/* eslint-disable jsx-a11y/click-events-have-key-events */
/* eslint-disable react/prop-types */
/* eslint-disable max-len */
import React, { useState } from 'react';
import './ProductImages.scss';
import Overlay from '../Overlay/Overlay';
import AlertInfo from '../../helpers/AlertInfo/AlertInfo';

export default function ProductsImages({ product }) {
  const [mainImage, setMainImage] = useState(product.hero.href);
  const [displayCarosuel, setDisplayCarosuel] = useState(false);
  const { images } = product;

  const closeOverLay = () => {
    setDisplayCarosuel(false);
  };


  return (
    <>
      {<div className="medium-6 columns">
        <a data-open="exampleModal8" onClick={() => { setDisplayCarosuel(true); }}>
          <img className="thumbnail main-image" src={mainImage} alt={name} />
        </a>
        <div className="row small-up-8">
          {images ? images.map((image, index) => {
            return (<div key={index} className="column">
              <a>
                <img className="thumbnail alt-image" src={image.href} onClick={(e) => { setMainImage(e.target.src); }} />
              </a>
                    </div>);
          }) : <AlertInfo message="Ohh, Alternative images are not available for this product." />}
        </div>
       </div>}
            {displayCarosuel && <Overlay closeoverlay={closeOverLay} images={images} />}
    </>
  );
}
