/* eslint-disable max-len */
/* eslint-disable react/no-array-index-key */
/* eslint-disable react/prop-types */
import React from 'react';
import ProductDetails from './ProductDetails';
import ProductImages from './ProductImages';
import SimilarProducts from '../SimilarProducts/SimilarProducts';
import '../../helpers/spinner/spinner.scss';

function ProductDetailsPage({ categoryResult, match }) {
  return (
    <>
      {categoryResult.groups
        ? categoryResult.groups.filter((item) => item.id === match.params.id)
          .map((product, index) => (
            <React.Fragment key={index}>
              <div className="grid-x grid-padding-x small-up-1 medium-up-2 large-up-2">
                <ProductImages product={product} />
                <ProductDetails product={product} />
              </div>
              <SimilarProducts categoryResult={categoryResult} />
            </React.Fragment>
          )) : <div className="loading-spinner pdp-page" />}
    </>
  );
}

export default ProductDetailsPage;
