import { GET_CATEGORY_DATA } from '../actions';
import categoryReducer from './categoryReducer';


describe('Testing Reducer', () => {
  const intialState = {}
  it('should return intial state of reducer', () => {
    expect(categoryReducer(undefined, {})).toEqual(intialState)
  })

  it('should handle GET_PRODUCTS action', () => {
    expect(categoryReducer(intialState, {
      type: GET_CATEGORY_DATA,
      payload: {
        "id": "shop/new/all-new",
        "name": "All New",
        "categoryType": "subcat"
      }
    })).toEqual({
      "id": "shop/new/all-new",
      "name": "All New",
      "categoryType": "subcat"
    })
  })
}


)
